<template>
  <v-app dark id="error">
    <h1 v-if="error.statusCode === 404">
      {{ pageNotFound }} <v-icon>mdi-heart-broken</v-icon>
    </h1>
    <h1 v-else>
      {{ otherError }} <v-icon>mdi-heart-broken</v-icon>
    </h1>
    <NuxtLink to="/" color="accent">
      wróć do strony głównej
    </NuxtLink>
  </v-app>
</template>

<script>
export default {
  name: 'EmptyLayout',
  layout: 'empty',
  props: {
    error: {
      type: Object,
      default: null
    }
  },
  data () {
    return {
      pageNotFound: '404, nie znaleziono strony...',
      otherError: 'Wystąpił błąd'
    }
  },
  head () {
    const title =
      this.error.statusCode === 404 ? this.pageNotFound : this.otherError
    return {
      title
    }
  }
}
</script>

<style lang="scss" scoped>

#error {
  position: relative;
  top:200px;
  left: 24vw;
  h1 {
  font-size: 20px;
}
}

</style>
